function MistWeaver_CreateInfoButton()
    local infoButton = CreateFrame("Button", "MwInfoButton", MistWeaverFrame);
    infoButton:SetWidth(12);
    infoButton:SetHeight(12);
    infoButton:ClearAllPoints();
    infoButton:SetPoint("TOPRIGHT", MistWeaverFrame, "TOPLEFT", -57, 2);
    infoButton:SetAlpha(0.1);

    infoButton:SetNormalTexture("Interface\\FriendsFrame\\InformationIcon");

    infoButton:HookScript("OnEnter", MistWeaver_InfoButtonOnEnter);
    infoButton:HookScript("OnLeave", MistWeaver_InfoButtonOnLeave);

    infoButton:HookScript("OnMouseDown", MistWeaver_InfoButton_OnMouseDown);
    infoButton:HookScript("OnMouseUp", MistWeaver_InfoButton_OnMouseUp);
end

function MistWeaver_InfoButton_OnMouseDown(frame, button)
    if (button == "RightButton") then
        if (IsControlKeyDown()) then
            MistWeaverFrame:StartMoving();
        end
    end
end

function MistWeaver_InfoButton_OnMouseUp(frame, button)
    MistWeaverFrame:StopMovingOrSizing();
end

function MistWeaver_InfoButtonOnEnter(frame)
    MwInfoButton:SetAlpha(1.0);
end

function MistWeaver_InfoButtonOnLeave(frame)
    MwInfoButton:SetAlpha(0.3);
end